"use server";
import { NextResponse } from "next/server";
import { changePassword } from "~/server/functions";

type Data = {
  apiKey: string;
  userId: number;
  oldPassword: string;
  newPassword: string;
};

export const POST = async (request: Request) => {
  try {
    const { apiKey, userId, oldPassword, newPassword } = await request.json() as Data;
    console.log("Received request:", { apiKey, userId, oldPassword, newPassword });

    if (apiKey !== process.env.API_KEY) {
      console.log("Invalid API Key");
      return NextResponse.json({ message: "Invalid API Key" }, { status: 401 });
    }

    console.log("Changing password for user:", userId);
    await changePassword(userId, oldPassword, newPassword);

    console.log("Password changed successfully");
    return NextResponse.json({ message: "Password changed successfully" });
  } catch (error) {
    console.error("Error in changePassword:", error);
    return NextResponse.json({ message: "Error changing password" }, { status: 500 });
  }
};
